com.trendmicro.ds.platform.rest.object.smartfolder

## Class QueryDefinitionGroup

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.smartfolder.QueryDefinitionGroup

-     public class QueryDefinitionGroup
      extends java.lang.Object

  A Group of Smart Folder Query Definitions, used to populate the list of Properties in the GUI

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryDefinitionGroup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `boolean` | `getConcatenate()` Gets the concatenate flag.
    `java.lang.String` | `getName()` Gets the name of the query group.
    `java.util.List<QueryDefinition>` | `getQueryDefinitions()` Get the List of Query Definitions.
    `void` | `setConcatenate(boolean concatenate)` Sets the concatenate flag
    `void` | `setName(java.lang.String name)` Sets the name of the query group.
    `void` | `setQueryDefinitions(java.util.List<QueryDefinition> queryDefinitions)` Sets the List of Query Definitions.
    `QueryDefinitionGroup` | `withConcatenate(boolean concatenate)` Sets the concatenate flag
    `QueryDefinitionGroup` | `withName(java.lang.String name)` Sets the name of the query group.
    `QueryDefinitionGroup` | `withQueryDefinitions(java.util.List<QueryDefinition> queryDefinitions)` Sets the List of Query Definitions.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryDefinitionGroup

          public QueryDefinitionGroup()

  - ### Method Detail

    - #### getQueryDefinitions

          public java.util.List<QueryDefinition> getQueryDefinitions()

      Get the List of Query Definitions.
      Returns:
        The List of Query Definitions.

    - #### setQueryDefinitions

          public void setQueryDefinitions(java.util.List<QueryDefinition> queryDefinitions)

      Sets the List of Query Definitions.
      Parameters:
        `queryDefinitions` - The List of Query Definitions.

    - #### getName

          public java.lang.String getName()

      Gets the name of the query group.
      Returns:
        The name of the query group.

    - #### setName

          public void setName(java.lang.String name)

      Sets the name of the query group.
      Parameters:
        `name` - The name of the query group.

    - #### getConcatenate

          public boolean getConcatenate()

      Gets the concatenate flag.
      Returns:
        The concatenate flag.

    - #### setConcatenate

          public void setConcatenate(boolean concatenate)

      Sets the concatenate flag
      Parameters:
        `The` - concatenate flag.

    - #### withQueryDefinitions

          public QueryDefinitionGroup withQueryDefinitions(java.util.List<QueryDefinition> queryDefinitions)

      Sets the List of Query Definitions.
      Parameters:
        `queryDefinitions` - The List of Query Definitions.
      Returns:
        The updated QueryDefinitionGroup object.

    - #### withName

          public QueryDefinitionGroup withName(java.lang.String name)

      Sets the name of the query group.
      Parameters:
        `name` - The name of the query group.
      Returns:
        The updated QueryDefinitionGroup object.

    - #### withConcatenate

          public QueryDefinitionGroup withConcatenate(boolean concatenate)

      Sets the concatenate flag
      Parameters:
        `concatenate` - The concatenate flag.
      Returns:
        The updated QueryDefinitionGroup object.

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.